diff -Nru debsums-2.0.48/debian/changelog debsums-2.0.48+nmu1/debian/changelog
--- debsums-2.0.48/debian/changelog	2009-12-20 23:01:26.000000000 +0100
+++ debsums-2.0.48+nmu1/debian/changelog	2010-05-11 23:45:27.000000000 +0200
@@ -1,3 +1,13 @@
+debsums (2.0.48+nmu1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Use ucf to properly manage the content of /etc/apt.conf.d/90debsums
+    (closes: #571116).
+    - Add ucf in Depends.
+    - Lintian override updated for the new postinst version
+
+ -- Giovanni Mascellani <mascellani@poisson.phc.unipi.it>  Tue, 11 May 2010 23:29:32 +0200
+
 debsums (2.0.48) unstable; urgency=low
 
   * reword the --ignore-permissions documentation to say that it makes
diff -Nru debsums-2.0.48/debian/control debsums-2.0.48+nmu1/debian/control
--- debsums-2.0.48/debian/control	2009-12-20 23:01:26.000000000 +0100
+++ debsums-2.0.48+nmu1/debian/control	2010-05-11 23:45:14.000000000 +0200
@@ -9,7 +9,7 @@
 
 Package: debsums
 Architecture: all
-Depends: perl (>= 5.8.0-3), ${misc:Depends}
+Depends: perl (>= 5.8.0-3), ucf (>= 0.28), ${misc:Depends}
 Description: tool for verification of installed package files against MD5 checksums
  debsums can verify the integrity of installed package files against
  MD5 checksums installed by the package, or generated from a .deb
diff -Nru debsums-2.0.48/debian/lintian-overrides debsums-2.0.48+nmu1/debian/lintian-overrides
--- debsums-2.0.48/debian/lintian-overrides	2009-12-20 23:01:26.000000000 +0100
+++ debsums-2.0.48+nmu1/debian/lintian-overrides	2010-05-11 23:45:14.000000000 +0200
@@ -1,2 +1,2 @@
 # That command path is in a generated config file, not in the postinst script
-debsums: command-with-path-in-maintainer-script postinst:25 /usr/bin/debsums
+debsums: command-with-path-in-maintainer-script postinst:28 /usr/bin/debsums
diff -Nru debsums-2.0.48/debian/postinst debsums-2.0.48+nmu1/debian/postinst
--- debsums-2.0.48/debian/postinst	2009-12-20 23:01:26.000000000 +0100
+++ debsums-2.0.48+nmu1/debian/postinst	2010-05-11 23:45:14.000000000 +0200
@@ -17,15 +17,18 @@
 . /usr/share/debconf/confmodule
 
 APT_CONF=/etc/apt/apt.conf.d/90debsums
-
 case "$1" in
     configure)
         db_get debsums/apt-autogen || true
-        if [ "$RET" = true ]; then
-            echo 'DPkg::Post-Invoke { "if [ -x /usr/bin/debsums ]; then /usr/bin/debsums --generate=nocheck -sp /var/cache/apt/archives; fi"; };' >$APT_CONF
-        else
-            rm -f $APT_CONF
+        APT_CONF_TMP=`tempfile`
+        chmod 644 $APT_CONF_TMP
+        if [ "$RET" != true ]; then
+            echo -n '//' > $APT_CONF_TMP
         fi
+        echo 'DPkg::Post-Invoke { "if [ -x /usr/bin/debsums ]; then /usr/bin/debsums --generate=nocheck -sp /var/cache/apt/archives; fi"; };' >> $APT_CONF_TMP
+        ucf --debconf-ok $APT_CONF_TMP $APT_CONF
+        rm -f $APT_CONF_TMP
+        ucfr debsums $APT_CONF
     ;;
 
     abort-upgrade|abort-remove|abort-deconfigure)
diff -Nru debsums-2.0.48/debian/postrm debsums-2.0.48+nmu1/debian/postrm
--- debsums-2.0.48/debian/postrm	2009-12-20 23:01:26.000000000 +0100
+++ debsums-2.0.48+nmu1/debian/postrm	2010-05-11 23:45:14.000000000 +0200
@@ -24,7 +24,15 @@
     ;;
 
     purge)
-        [ -f $APT_CONF ] && rm -f $APT_CONF
+        for ext in '' '~' '%' .bak .ucf-new .ucf-old .ucf-dist; do
+          rm -f $APT_CONF$ext
+        done
+        if which ucf >/dev/null; then
+          ucf --purge $APT_CONF
+        fi
+        if which ucfr >/dev/null; then
+          ucfr --purge debsums $APT_CONF
+        fi
     ;;
 
     *)
